- [HTTP request](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.changeRequests/approve#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.changeRequests/approve#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.changeRequests/approve#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.changeRequests/approve#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.changeRequests/approve#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.changeRequests/approve#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.changeRequests/approve#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.changeRequests/approve#try-it)

Approves a ChangeRequest.

### HTTP request

`POST https://dataplex.googleapis.com/v1/{name=projects/*/locations/*/changeRequests/*}:approve`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the ChangeRequest to approve. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "etag": string, "comment": string } ``` |

| Fields ||
|---|---|
| `etag` | `string` Optional. The etag of the ChangeRequest. |
| `comment` | `string` Optional. The comment or reason for approving the ChangeRequest. Maximum length is 1024 characters. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.changeRequests#ChangeRequest`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/dataplex.read-write`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permissions on the `name` resource:

- `dataplex.changeRequests.use`
- `dataplex.dataProducts.approve`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).